Can't update snapd-glib

Since a couple of weeks I can’t update aur/snapd-glib:

:: 1 Packages to upgrade.
1  aur/snapd-glib  1.59-1 -> 1.60-1
==> Packages to exclude: (eg: "1 2 3", "1-3", "^4" or repo name)
==> 
:: Checking for conflicts...
:: Checking for inner conflicts...
[Aur:1]  snapd-glib-1.60-1

  1 snapd-glib                       (Installed) (Build Files Exist)
==> Packages to cleanBuild?
==> [N]one [A]ll [Ab]ort [I]nstalled [No]tInstalled or (1 2 3, 1-3, ^4)
==> A
:: Deleting (1/1): /home/johannes/.cache/yay/snapd-glib
:: (1/1) Downloaded PKGBUILD: snapd-glib
  1 snapd-glib                       (Installed) (Build Files Exist)
==> Diffs to show?
==> [N]one [A]ll [Ab]ort [I]nstalled [No]tInstalled or (1 2 3, 1-3, ^4)
==> 
:: (1/1) Parsing SRCINFO: snapd-glib
==> Making package: snapd-glib 1.60-1 (Fri 29 Jul 2022 10:54:42 CEST)
==> Retrieving sources...
  -> Downloading snapd-glib-1.60.tar.xz...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
100  179k  100  179k    0     0   285k      0 --:--:-- --:--:-- --:--:-- 2020k
==> Validating source files with sha256sums...
    snapd-glib-1.60.tar.xz ... Passed
==> Making package: snapd-glib 1.60-1 (Fri 29 Jul 2022 10:54:44 CEST)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Found snapd-glib-1.60.tar.xz
==> Validating source files with sha256sums...
    snapd-glib-1.60.tar.xz ... Passed
==> Removing existing $srcdir/ directory...
==> Extracting sources...
  -> Extracting snapd-glib-1.60.tar.xz with bsdtar
==> Sources are ready.
==> Making package: snapd-glib 1.60-1 (Fri 29 Jul 2022 10:54:47 CEST)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> WARNING: Using existing $srcdir/ tree
==> Starting build()...
The Meson build system
Version: 0.63.0
Source dir: /home/johannes/.cache/yay/snapd-glib/src/snapd-glib-1.60
Build dir: /home/johannes/.cache/yay/snapd-glib/src/snapd-glib-1.60/build
Build type: native build
Project name: snapd-glib
Project version: 1.60
C compiler for the host machine: cc (gcc 12.1.0 "cc (GCC) 12.1.0")
C linker for the host machine: cc ld.bfd 2.38
C++ compiler for the host machine: c++ (gcc 12.1.0 "c++ (GCC) 12.1.0")
C++ linker for the host machine: c++ ld.bfd 2.38
Host machine cpu family: x86_64
Host machine cpu: x86_64
Found pkg-config: /usr/bin/pkg-config (1.8.0)
Run-time dependency glib-2.0 found: YES 2.72.3
Run-time dependency gio-2.0 found: YES 2.72.3
Run-time dependency gio-unix-2.0 found: YES 2.72.3
Run-time dependency libsoup-2.4 found: YES 2.74.2
Run-time dependency json-glib-1.0 found: YES 1.6.6
Run-time dependency qt5 (modules: Core) found: YES 5.15.5 (pkg-config)
Run-time dependency qt5 (modules: Network) found: YES 5.15.5 (pkg-config)
Run-time dependency qt5 (modules: Qml) found: YES 5.15.5 (pkg-config)
Program glib-mkenums found: YES (/usr/bin/glib-mkenums)
Program glib-mkenums found: YES (/usr/bin/glib-mkenums)
Run-time dependency gobject-introspection-1.0 found: YES 1.72.0
Dependency gobject-introspection-1.0 found: YES 1.72.0 (cached)
Program g-ir-scanner found: YES (/usr/bin/g-ir-scanner)
Dependency gobject-introspection-1.0 found: YES 1.72.0 (cached)
Program g-ir-compiler found: YES (/usr/bin/g-ir-compiler)
Program vapigen found: YES (/usr/bin/vapigen)
Detecting Qt5 tools
Run-time dependency qt5 (modules: Core) found: YES 5.15.5 (pkg-config)
Program /usr/bin/moc found: YES 5.15.5 (/usr/bin/moc)
Program /usr/bin/uic found: YES 5.15.5 (/usr/bin/uic)
Program /usr/bin/rcc found: YES 5.15.5 (/usr/bin/rcc)
Program /usr/bin/lrelease found: YES 5.15.5 (/usr/bin/lrelease)
snapd-glib/meson.build:177: DEPRECATION: Library snapd-glib was passed to the "libraries" keyword argument of a previous call to generate() method instead of first positional argument. Adding snapd-glib to "Requires" field, but this is a deprecated behaviour that will change in a future version of Meson. Please report the issue if this warning cannot be avoided in your case.
Configuring SnapdConfig.cmake using configuration
Configuring SnapdConfigVersion.cmake using configuration
Configuring test-glib.test using configuration
Configuring test-markdown-glib.test using configuration
Configuring test-qt.test using configuration
Configuring test-markdown-qt.test using configuration
Configuring gtkdocentities.ent using configuration
Dependency glib-2.0 found: YES 2.72.3 (cached)
Program gtkdoc-scan found: YES (/usr/bin/gtkdoc-scan)
Program gtkdoc-scangobj found: YES (/usr/bin/gtkdoc-scangobj)
Program gtkdoc-mkdb found: YES (/usr/bin/gtkdoc-mkdb)
Program gtkdoc-mkhtml found: YES (/usr/bin/gtkdoc-mkhtml)
Program gtkdoc-fixxref found: YES (/usr/bin/gtkdoc-fixxref)
Program msgfmt found: YES (/usr/bin/msgfmt)
Program msginit found: YES (/usr/bin/msginit)
Program msgmerge found: YES (/usr/bin/msgmerge)
Program xgettext found: YES (/usr/bin/xgettext)
Build targets in project: 19
NOTICE: Future-deprecated features used:
 * 0.56.0: {'meson.source_root', 'meson.build_root', 'dependency.get_pkgconfig_variable'}

snapd-glib 1.60

  User defined options
    prefix: /usr

Found ninja-1.11.0 at /usr/bin/ninja
ninja: Entering directory `build'
[21/179] Generating 'snapd-qt/libsnapd-qt.so.1.0.0.p/moc_variant.cpp'.
../snapd-qt/variant.h:0: Note: No relevant classes found. No output generated.
[30/179] Generating 'snapd-qt/libsnapd-qt.so.1.0.0.p/moc_stream-wrapper.cpp'.
../snapd-qt/stream-wrapper.h:0: Note: No relevant classes found. No output generated.
[31/179] Generating 'snapd-qt/libsnapd-qt.so.1.0.0.p/moc_client-private.cpp'.
../snapd-qt/client-private.h:0: Note: No relevant classes found. No output generated.
[47/179] Compiling C object snapd-glib/libsnapd-glib.so.1.0.0.p/meson-generated_.._snapd-enum-types.c.o
In file included from /usr/include/glib-2.0/glib/gthread.h:32,
                 from /usr/include/glib-2.0/glib/gasyncqueue.h:32,
                 from /usr/include/glib-2.0/glib.h:32,
                 from /usr/include/glib-2.0/gobject/gbinding.h:28,
                 from /usr/include/glib-2.0/glib-object.h:22,
                 from snapd-glib/snapd-enum-types.h:20,
                 from snapd-glib/snapd-enum-types.c:13:
snapd-glib/snapd-enum-types.c: In function ‘snapd_alias_status_get_type’:
/usr/include/glib-2.0/glib/gatomic.h:113:5: warning: argument 2 of ‘__atomic_load’ discards ‘volatile’ qualifier [-Wincompatible-pointer-types]
  113 |     __atomic_load (gapg_temp_atomic, &gapg_temp_newval, __ATOMIC_SEQ_CST); \
      |     ^~~~~~~~~~~~~
/usr/include/glib-2.0/glib/gthread.h:260:7: note: in expansion of macro ‘g_atomic_pointer_get’
  260 |     (!g_atomic_pointer_get (location) &&                             \
      |       ^~~~~~~~~~~~~~~~~~~~
snapd-glib/snapd-enum-types.c:22:7: note: in expansion of macro ‘g_once_init_enter’
   22 |   if (g_once_init_enter (&g_enum_type_id__volatile))
      |       ^~~~~~~~~~~~~~~~~
snapd-glib/snapd-enum-types.c: In function ‘snapd_daemon_type_get_type’:
/usr/include/glib-2.0/glib/gatomic.h:113:5: warning: argument 2 of ‘__atomic_load’ discards ‘volatile’ qualifier [-Wincompatible-pointer-types]
  113 |     __atomic_load (gapg_temp_atomic, &gapg_temp_newval, __ATOMIC_SEQ_CST); \
      |     ^~~~~~~~~~~~~
/usr/include/glib-2.0/glib/gthread.h:260:7: note: in expansion of macro ‘g_atomic_pointer_get’
  260 |     (!g_atomic_pointer_get (location) &&                             \
      |       ^~~~~~~~~~~~~~~~~~~~
snapd-glib/snapd-enum-types.c:50:7: note: in expansion of macro ‘g_once_init_enter’
   50 |   if (g_once_init_enter (&g_enum_type_id__volatile))
      |       ^~~~~~~~~~~~~~~~~
snapd-glib/snapd-enum-types.c: In function ‘snapd_confinement_get_type’:
/usr/include/glib-2.0/glib/gatomic.h:113:5: warning: argument 2 of ‘__atomic_load’ discards ‘volatile’ qualifier [-Wincompatible-pointer-types]
  113 |     __atomic_load (gapg_temp_atomic, &gapg_temp_newval, __ATOMIC_SEQ_CST); \
      |     ^~~~~~~~~~~~~
/usr/include/glib-2.0/glib/gthread.h:260:7: note: in expansion of macro ‘g_atomic_pointer_get’
  260 |     (!g_atomic_pointer_get (location) &&                             \
      |       ^~~~~~~~~~~~~~~~~~~~
snapd-glib/snapd-enum-types.c:79:7: note: in expansion of macro ‘g_once_init_enter’
   79 |   if (g_once_init_enter (&g_enum_type_id__volatile))
      |       ^~~~~~~~~~~~~~~~~
snapd-glib/snapd-enum-types.c: In function ‘snapd_change_filter_get_type’:
/usr/include/glib-2.0/glib/gatomic.h:113:5: warning: argument 2 of ‘__atomic_load’ discards ‘volatile’ qualifier [-Wincompatible-pointer-types]
  113 |     __atomic_load (gapg_temp_atomic, &gapg_temp_newval, __ATOMIC_SEQ_CST); \
      |     ^~~~~~~~~~~~~
/usr/include/glib-2.0/glib/gthread.h:260:7: note: in expansion of macro ‘g_atomic_pointer_get’
  260 |     (!g_atomic_pointer_get (location) &&                             \
      |       ^~~~~~~~~~~~~~~~~~~~
snapd-glib/snapd-enum-types.c:105:7: note: in expansion of macro ‘g_once_init_enter’
  105 |   if (g_once_init_enter (&g_enum_type_id__volatile))
      |       ^~~~~~~~~~~~~~~~~
snapd-glib/snapd-enum-types.c: In function ‘snapd_get_snaps_flags_get_type’:
/usr/include/glib-2.0/glib/gatomic.h:113:5: warning: argument 2 of ‘__atomic_load’ discards ‘volatile’ qualifier [-Wincompatible-pointer-types]
  113 |     __atomic_load (gapg_temp_atomic, &gapg_temp_newval, __ATOMIC_SEQ_CST); \
      |     ^~~~~~~~~~~~~
/usr/include/glib-2.0/glib/gthread.h:260:7: note: in expansion of macro ‘g_atomic_pointer_get’
  260 |     (!g_atomic_pointer_get (location) &&                             \
      |       ^~~~~~~~~~~~~~~~~~~~
snapd-glib/snapd-enum-types.c:127:7: note: in expansion of macro ‘g_once_init_enter’
  127 |   if (g_once_init_enter (&g_enum_type_id__volatile))
      |       ^~~~~~~~~~~~~~~~~
snapd-glib/snapd-enum-types.c: In function ‘snapd_get_apps_flags_get_type’:
/usr/include/glib-2.0/glib/gatomic.h:113:5: warning: argument 2 of ‘__atomic_load’ discards ‘volatile’ qualifier [-Wincompatible-pointer-types]
  113 |     __atomic_load (gapg_temp_atomic, &gapg_temp_newval, __ATOMIC_SEQ_CST); \
      |     ^~~~~~~~~~~~~
/usr/include/glib-2.0/glib/gthread.h:260:7: note: in expansion of macro ‘g_atomic_pointer_get’
  260 |     (!g_atomic_pointer_get (location) &&                             \
      |       ^~~~~~~~~~~~~~~~~~~~
snapd-glib/snapd-enum-types.c:148:7: note: in expansion of macro ‘g_once_init_enter’
  148 |   if (g_once_init_enter (&g_enum_type_id__volatile))
      |       ^~~~~~~~~~~~~~~~~
snapd-glib/snapd-enum-types.c: In function ‘snapd_get_connections_flags_get_type’:
/usr/include/glib-2.0/glib/gatomic.h:113:5: warning: argument 2 of ‘__atomic_load’ discards ‘volatile’ qualifier [-Wincompatible-pointer-types]
  113 |     __atomic_load (gapg_temp_atomic, &gapg_temp_newval, __ATOMIC_SEQ_CST); \
      |     ^~~~~~~~~~~~~
/usr/include/glib-2.0/glib/gthread.h:260:7: note: in expansion of macro ‘g_atomic_pointer_get’
  260 |     (!g_atomic_pointer_get (location) &&                             \
      |       ^~~~~~~~~~~~~~~~~~~~
snapd-glib/snapd-enum-types.c:169:7: note: in expansion of macro ‘g_once_init_enter’
  169 |   if (g_once_init_enter (&g_enum_type_id__volatile))
      |       ^~~~~~~~~~~~~~~~~
snapd-glib/snapd-enum-types.c: In function ‘snapd_find_flags_get_type’:
/usr/include/glib-2.0/glib/gatomic.h:113:5: warning: argument 2 of ‘__atomic_load’ discards ‘volatile’ qualifier [-Wincompatible-pointer-types]
  113 |     __atomic_load (gapg_temp_atomic, &gapg_temp_newval, __ATOMIC_SEQ_CST); \
      |     ^~~~~~~~~~~~~
/usr/include/glib-2.0/glib/gthread.h:260:7: note: in expansion of macro ‘g_atomic_pointer_get’
  260 |     (!g_atomic_pointer_get (location) &&                             \
      |       ^~~~~~~~~~~~~~~~~~~~
snapd-glib/snapd-enum-types.c:190:7: note: in expansion of macro ‘g_once_init_enter’
  190 |   if (g_once_init_enter (&g_enum_type_id__volatile))
      |       ^~~~~~~~~~~~~~~~~
snapd-glib/snapd-enum-types.c: In function ‘snapd_install_flags_get_type’:
/usr/include/glib-2.0/glib/gatomic.h:113:5: warning: argument 2 of ‘__atomic_load’ discards ‘volatile’ qualifier [-Wincompatible-pointer-types]
  113 |     __atomic_load (gapg_temp_atomic, &gapg_temp_newval, __ATOMIC_SEQ_CST); \
      |     ^~~~~~~~~~~~~
/usr/include/glib-2.0/glib/gthread.h:260:7: note: in expansion of macro ‘g_atomic_pointer_get’
  260 |     (!g_atomic_pointer_get (location) &&                             \
      |       ^~~~~~~~~~~~~~~~~~~~
snapd-glib/snapd-enum-types.c:215:7: note: in expansion of macro ‘g_once_init_enter’
  215 |   if (g_once_init_enter (&g_enum_type_id__volatile))
      |       ^~~~~~~~~~~~~~~~~
snapd-glib/snapd-enum-types.c: In function ‘snapd_remove_flags_get_type’:
/usr/include/glib-2.0/glib/gatomic.h:113:5: warning: argument 2 of ‘__atomic_load’ discards ‘volatile’ qualifier [-Wincompatible-pointer-types]
  113 |     __atomic_load (gapg_temp_atomic, &gapg_temp_newval, __ATOMIC_SEQ_CST); \
      |     ^~~~~~~~~~~~~
/usr/include/glib-2.0/glib/gthread.h:260:7: note: in expansion of macro ‘g_atomic_pointer_get’
  260 |     (!g_atomic_pointer_get (location) &&                             \
      |       ^~~~~~~~~~~~~~~~~~~~
snapd-glib/snapd-enum-types.c:239:7: note: in expansion of macro ‘g_once_init_enter’
  239 |   if (g_once_init_enter (&g_enum_type_id__volatile))
      |       ^~~~~~~~~~~~~~~~~
snapd-glib/snapd-enum-types.c: In function ‘snapd_create_user_flags_get_type’:
/usr/include/glib-2.0/glib/gatomic.h:113:5: warning: argument 2 of ‘__atomic_load’ discards ‘volatile’ qualifier [-Wincompatible-pointer-types]
  113 |     __atomic_load (gapg_temp_atomic, &gapg_temp_newval, __ATOMIC_SEQ_CST); \
      |     ^~~~~~~~~~~~~
/usr/include/glib-2.0/glib/gthread.h:260:7: note: in expansion of macro ‘g_atomic_pointer_get’
  260 |     (!g_atomic_pointer_get (location) &&                             \
      |       ^~~~~~~~~~~~~~~~~~~~
snapd-glib/snapd-enum-types.c:260:7: note: in expansion of macro ‘g_once_init_enter’
  260 |   if (g_once_init_enter (&g_enum_type_id__volatile))
      |       ^~~~~~~~~~~~~~~~~
snapd-glib/snapd-enum-types.c: In function ‘snapd_get_interfaces_flags_get_type’:
/usr/include/glib-2.0/glib/gatomic.h:113:5: warning: argument 2 of ‘__atomic_load’ discards ‘volatile’ qualifier [-Wincompatible-pointer-types]
  113 |     __atomic_load (gapg_temp_atomic, &gapg_temp_newval, __ATOMIC_SEQ_CST); \
      |     ^~~~~~~~~~~~~
/usr/include/glib-2.0/glib/gthread.h:260:7: note: in expansion of macro ‘g_atomic_pointer_get’
  260 |     (!g_atomic_pointer_get (location) &&                             \
      |       ^~~~~~~~~~~~~~~~~~~~
snapd-glib/snapd-enum-types.c:282:7: note: in expansion of macro ‘g_once_init_enter’
  282 |   if (g_once_init_enter (&g_enum_type_id__volatile))
      |       ^~~~~~~~~~~~~~~~~
snapd-glib/snapd-enum-types.c: In function ‘snapd_theme_status_get_type’:
/usr/include/glib-2.0/glib/gatomic.h:113:5: warning: argument 2 of ‘__atomic_load’ discards ‘volatile’ qualifier [-Wincompatible-pointer-types]
  113 |     __atomic_load (gapg_temp_atomic, &gapg_temp_newval, __ATOMIC_SEQ_CST); \
      |     ^~~~~~~~~~~~~
/usr/include/glib-2.0/glib/gthread.h:260:7: note: in expansion of macro ‘g_atomic_pointer_get’
  260 |     (!g_atomic_pointer_get (location) &&                             \
      |       ^~~~~~~~~~~~~~~~~~~~
snapd-glib/snapd-enum-types.c:306:7: note: in expansion of macro ‘g_once_init_enter’
  306 |   if (g_once_init_enter (&g_enum_type_id__volatile))
      |       ^~~~~~~~~~~~~~~~~
snapd-glib/snapd-enum-types.c: In function ‘snapd_error_get_type’:
/usr/include/glib-2.0/glib/gatomic.h:113:5: warning: argument 2 of ‘__atomic_load’ discards ‘volatile’ qualifier [-Wincompatible-pointer-types]
  113 |     __atomic_load (gapg_temp_atomic, &gapg_temp_newval, __ATOMIC_SEQ_CST); \
      |     ^~~~~~~~~~~~~
/usr/include/glib-2.0/glib/gthread.h:260:7: note: in expansion of macro ‘g_atomic_pointer_get’
  260 |     (!g_atomic_pointer_get (location) &&                             \
      |       ^~~~~~~~~~~~~~~~~~~~
snapd-glib/snapd-enum-types.c:331:7: note: in expansion of macro ‘g_once_init_enter’
  331 |   if (g_once_init_enter (&g_enum_type_id__volatile))
      |       ^~~~~~~~~~~~~~~~~
snapd-glib/snapd-enum-types.c: In function ‘snapd_maintenance_kind_get_type’:
/usr/include/glib-2.0/glib/gatomic.h:113:5: warning: argument 2 of ‘__atomic_load’ discards ‘volatile’ qualifier [-Wincompatible-pointer-types]
  113 |     __atomic_load (gapg_temp_atomic, &gapg_temp_newval, __ATOMIC_SEQ_CST); \
      |     ^~~~~~~~~~~~~
/usr/include/glib-2.0/glib/gthread.h:260:7: note: in expansion of macro ‘g_atomic_pointer_get’
  260 |     (!g_atomic_pointer_get (location) &&                             \
      |       ^~~~~~~~~~~~~~~~~~~~
snapd-glib/snapd-enum-types.c:386:7: note: in expansion of macro ‘g_once_init_enter’
  386 |   if (g_once_init_enter (&g_enum_type_id__volatile))
      |       ^~~~~~~~~~~~~~~~~
snapd-glib/snapd-enum-types.c: In function ‘snapd_markdown_node_type_get_type’:
/usr/include/glib-2.0/glib/gatomic.h:113:5: warning: argument 2 of ‘__atomic_load’ discards ‘volatile’ qualifier [-Wincompatible-pointer-types]
  113 |     __atomic_load (gapg_temp_atomic, &gapg_temp_newval, __ATOMIC_SEQ_CST); \
      |     ^~~~~~~~~~~~~
/usr/include/glib-2.0/glib/gthread.h:260:7: note: in expansion of macro ‘g_atomic_pointer_get’
  260 |     (!g_atomic_pointer_get (location) &&                             \
      |       ^~~~~~~~~~~~~~~~~~~~
snapd-glib/snapd-enum-types.c:411:7: note: in expansion of macro ‘g_once_init_enter’
  411 |   if (g_once_init_enter (&g_enum_type_id__volatile))
      |       ^~~~~~~~~~~~~~~~~
snapd-glib/snapd-enum-types.c: In function ‘snapd_markdown_version_get_type’:
/usr/include/glib-2.0/glib/gatomic.h:113:5: warning: argument 2 of ‘__atomic_load’ discards ‘volatile’ qualifier [-Wincompatible-pointer-types]
  113 |     __atomic_load (gapg_temp_atomic, &gapg_temp_newval, __ATOMIC_SEQ_CST); \
      |     ^~~~~~~~~~~~~
/usr/include/glib-2.0/glib/gthread.h:260:7: note: in expansion of macro ‘g_atomic_pointer_get’
  260 |     (!g_atomic_pointer_get (location) &&                             \
      |       ^~~~~~~~~~~~~~~~~~~~
snapd-glib/snapd-enum-types.c:442:7: note: in expansion of macro ‘g_once_init_enter’
  442 |   if (g_once_init_enter (&g_enum_type_id__volatile))
      |       ^~~~~~~~~~~~~~~~~
snapd-glib/snapd-enum-types.c: In function ‘snapd_snap_type_get_type’:
/usr/include/glib-2.0/glib/gatomic.h:113:5: warning: argument 2 of ‘__atomic_load’ discards ‘volatile’ qualifier [-Wincompatible-pointer-types]
  113 |     __atomic_load (gapg_temp_atomic, &gapg_temp_newval, __ATOMIC_SEQ_CST); \
      |     ^~~~~~~~~~~~~
/usr/include/glib-2.0/glib/gthread.h:260:7: note: in expansion of macro ‘g_atomic_pointer_get’
  260 |     (!g_atomic_pointer_get (location) &&                             \
      |       ^~~~~~~~~~~~~~~~~~~~
snapd-glib/snapd-enum-types.c:465:7: note: in expansion of macro ‘g_once_init_enter’
  465 |   if (g_once_init_enter (&g_enum_type_id__volatile))
      |       ^~~~~~~~~~~~~~~~~
snapd-glib/snapd-enum-types.c: In function ‘snapd_snap_status_get_type’:
/usr/include/glib-2.0/glib/gatomic.h:113:5: warning: argument 2 of ‘__atomic_load’ discards ‘volatile’ qualifier [-Wincompatible-pointer-types]
  113 |     __atomic_load (gapg_temp_atomic, &gapg_temp_newval, __ATOMIC_SEQ_CST); \
      |     ^~~~~~~~~~~~~
/usr/include/glib-2.0/glib/gthread.h:260:7: note: in expansion of macro ‘g_atomic_pointer_get’
  260 |     (!g_atomic_pointer_get (location) &&                             \
      |       ^~~~~~~~~~~~~~~~~~~~
snapd-glib/snapd-enum-types.c:492:7: note: in expansion of macro ‘g_once_init_enter’
  492 |   if (g_once_init_enter (&g_enum_type_id__volatile))
      |       ^~~~~~~~~~~~~~~~~
snapd-glib/snapd-enum-types.c: In function ‘snapd_publisher_validation_get_type’:
/usr/include/glib-2.0/glib/gatomic.h:113:5: warning: argument 2 of ‘__atomic_load’ discards ‘volatile’ qualifier [-Wincompatible-pointer-types]
  113 |     __atomic_load (gapg_temp_atomic, &gapg_temp_newval, __ATOMIC_SEQ_CST); \
      |     ^~~~~~~~~~~~~
/usr/include/glib-2.0/glib/gthread.h:260:7: note: in expansion of macro ‘g_atomic_pointer_get’
  260 |     (!g_atomic_pointer_get (location) &&                             \
      |       ^~~~~~~~~~~~~~~~~~~~
snapd-glib/snapd-enum-types.c:516:7: note: in expansion of macro ‘g_once_init_enter’
  516 |   if (g_once_init_enter (&g_enum_type_id__volatile))
      |       ^~~~~~~~~~~~~~~~~
snapd-glib/snapd-enum-types.c: In function ‘snapd_system_confinement_get_type’:
/usr/include/glib-2.0/glib/gatomic.h:113:5: warning: argument 2 of ‘__atomic_load’ discards ‘volatile’ qualifier [-Wincompatible-pointer-types]
  113 |     __atomic_load (gapg_temp_atomic, &gapg_temp_newval, __ATOMIC_SEQ_CST); \
      |     ^~~~~~~~~~~~~
/usr/include/glib-2.0/glib/gthread.h:260:7: note: in expansion of macro ‘g_atomic_pointer_get’
  260 |     (!g_atomic_pointer_get (location) &&                             \
      |       ^~~~~~~~~~~~~~~~~~~~
snapd-glib/snapd-enum-types.c:541:7: note: in expansion of macro ‘g_once_init_enter’
  541 |   if (g_once_init_enter (&g_enum_type_id__volatile))
      |       ^~~~~~~~~~~~~~~~~
[116/179] Generating snapd-glib/Snapd-1.gir with a custom command (wrapped by meson to set env)
FAILED: snapd-glib/Snapd-1.gir 
/usr/bin/meson --internal exe --unpickle /home/johannes/.cache/yay/snapd-glib/src/snapd-glib-1.60/build/meson-private/meson_exe_g-ir-scanner_8d1b5745a75ddfe5db0b2491bc4d7b264a54d1d7.dat
while executing ['/usr/bin/g-ir-scanner', '--no-libtool', '--namespace=Snapd', '--nsversion=1', '--warn-all', '--output', 'snapd-glib/Snapd-1.gir', '--c-include=snapd-glib/snapd-glib.h', '-DSNAPD_COMPILATION=1', '-I/home/johannes/.cache/yay/snapd-glib/src/snapd-glib-1.60/snapd-glib', '-I/home/johannes/.cache/yay/snapd-glib/src/snapd-glib-1.60/build/snapd-glib', '-I/home/johannes/.cache/yay/snapd-glib/src/snapd-glib-1.60/snapd-glib/..', '-I/home/johannes/.cache/yay/snapd-glib/src/snapd-glib-1.60/build/snapd-glib/..', '--filelist=/home/johannes/.cache/yay/snapd-glib/src/snapd-glib-1.60/build/snapd-glib/libsnapd-glib.so.1.0.0.p/Snapd_1_gir_filelist', '--include=GObject-2.0', '--include=Gio-2.0', '--pkg-export=snapd-glib', '--cflags-begin', '-I/home/johannes/.cache/yay/snapd-glib/src/snapd-glib-1.60/snapd-glib/..', '-I/home/johannes/.cache/yay/snapd-glib/src/snapd-glib-1.60/build/snapd-glib/..', '-I/usr/include/glib-2.0', '-I/usr/lib/glib-2.0/include', '-I/usr/include/sysprof-4', '-I/usr/include/libmount', '-I/usr/include/blkid', '-I/usr/include/gio-unix-2.0', '-I/usr/include/libsoup-2.4', '-I/usr/include/libxml2', '-I/usr/include/json-glib-1.0', '-I/usr/include/gobject-introspection-1.0', '--cflags-end', '--add-include-path=/usr/share/gir-1.0', '-L/home/johannes/.cache/yay/snapd-glib/src/snapd-glib-1.60/build/snapd-glib', '--library', 'snapd-glib', '-lglib-2.0', '-lgio-2.0', '-lgobject-2.0', '-lsoup-2.4', '-lgmodule-2.0', '-ljson-glib-1.0', '-lgirepository-1.0']
--- stdout ---

--- stderr ---
Traceback (most recent call last):
  File "/usr/bin/g-ir-scanner", line 98, in <module>
    from giscanner.scannermain import scanner_main
  File "/usr/lib/gobject-introspection/giscanner/scannermain.py", line 35, in <module>
    from giscanner.ast import Include, Namespace
  File "/usr/lib/gobject-introspection/giscanner/ast.py", line 29, in <module>
    from .sourcescanner import CTYPE_TYPEDEF, CSYMBOL_TYPE_TYPEDEF
  File "/usr/lib/gobject-introspection/giscanner/sourcescanner.py", line 34, in <module>
    from giscanner._giscanner import SourceScanner as CSourceScanner
ModuleNotFoundError: No module named 'giscanner._giscanner'

[129/179] Compiling C++ object tests/test-qt.p/test-qt.cpp.o
ninja: build stopped: subcommand failed.
==> ERROR: A failure occurred in build().
    Aborting...
 -> error making: snapd-glib

I think the important part is ModuleNotFoundError: No module named 'giscanner._giscanner', which is a Python error as far as I know. I couldn’t find anything here in the forum, on the AUR page or on Google. I wouldn’t mind getting rid of the package but libpamac-full seems to depend on it.

libpamac-full seems to be a dependency of pamac-all and both are flagged out-of-date in AUR.

If you can do without flatpak and snap support in pamac, you might want to remove pamac-all and and consider pamac-aur-git instead.

1 Like

i got no pamac, here builded nicely :slight_smile:

as you want a frondent, you could try bauh

also :

ringo@Godofhighschool:/usr/lib/gobject-introspection/giscanner$ ls
annotationmain.py doctemplates init.py pycache utils.py
annotationparser.py docwriter.py introspectablepass.py scannermain.py _version.py
ast.py dumper.py maintransformer.py sectionparser.py xmlwriter.py
cachestore.py gdumpparser.py mdextensions.py shlibs.py
ccompiler.py girparser.py message.py sourcescanner.py
codegen.py girwriter.py msvccompiler.py testcodegen.py
docmain.py _giscanner.cpython-310-x86_64-linux-gnu.so pkgconfig.py transformer.py
ringo@Godofhighschool:/usr/lib/gobject-introspection/giscanner$ pacman -Qo ast.py
/usr/lib/gobject-introspection/giscanner/ast.py is eigendom van gobject-introspection 1.72.0-1
ringo@Godofhighschool:/usr/lib/gobject-introspection/giscanner$

*make sure you have the same gobject-introspection

1 Like

I am not a python expert but that looks like gobject-introspection is broken. Is your system up-to-date, otherwise?

What does pacman -Qi gobject-introspection show?

1 Like

Thanks for the suggestions guys, gobject-introspectio is up-to-date (1.72.0-1) as is the rest of my system. aur/snapd-glib is the only package which refuses to be updated.

I thought about it and I haven’t actually used pamac in the last 6 months. So I decided to remove pamac-all, libpamac-full and snapd-glib completely. It doesn’t seem to have any noticeable effect for me and the update issues are gone.

2 Likes

sudo aura -S snapd-glib


works for me try

You didn’t build it, you just reinstalled an existing package.

just try aura instead yay I cant -R

That error isn’t caused by the helper. It won’t matter if you use aura or yay in this case.

Either way, the OP has resolved the issue at this point.

1 Like

oki solutions add arco repo will solved problem
ArcoLinux_2022-07-31_01-02-21

I would recommend against adding other distro’s repos to your EOS install.

Also, the OP has already resolved their issue.

2 Likes

Thanks. I would be interested why I got these issues. But the original problem was resolved by simply removing the package. I don’t think a different aur helper would change anything and adding another repo seems a worse cure than the sickness.

1 Like

This topic was automatically closed 2 days after the last reply. New replies are no longer allowed.